
From: Roland Dreier <roland@topspin.com>

Make MTU field in SA PathRecord and MCMemberRecord a u8 rather than an enum
to avoid complications with endianness.

Signed-off-by: Roland Dreier <roland@topspin.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/infiniband/include/ib_sa.h |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/infiniband/include/ib_sa.h~ib-fix-endianness-of-path-record-mtu-field drivers/infiniband/include/ib_sa.h
--- 25/drivers/infiniband/include/ib_sa.h~ib-fix-endianness-of-path-record-mtu-field	2005-05-25 12:30:24.000000000 -0700
+++ 25-akpm/drivers/infiniband/include/ib_sa.h	2005-05-25 12:30:24.000000000 -0700
@@ -147,7 +147,7 @@ struct ib_sa_path_rec {
 	/* reserved */
 	u8           sl;
 	u8           mtu_selector;
-	enum ib_mtu  mtu;
+	u8           mtu;
 	u8           rate_selector;
 	u8           rate;
 	u8           packet_life_time_selector;
@@ -180,7 +180,7 @@ struct ib_sa_mcmember_rec {
 	u32          qkey;
 	u16          mlid;
 	u8           mtu_selector;
-	enum         ib_mtu mtu;
+	u8           mtu;
 	u8           traffic_class;
 	u16          pkey;
 	u8 	     rate_selector;
_
